Arduino

Reference Language | Libraries | Comparison | Changes

String

## toFloat()

#### Description

Converts a valid String to a float. The input string should start with a digit. If the string contains non-digit characters, the function will stop performing the conversion. For example, the strings `"123.45`", `"123`", and `"123fish`" are converted to 123.45, 123.00, and 123.00 respectively. Note that `"123.456`" is approximated with 123.46. Note too that floats have only 6-7 decimal digits of precision and that longer strings might be truncated.

#### Syntax

string.toFloat()

#### Parameters

string: a variable of type String

#### Returns

float
If no valid conversion could be performed because the string doesn't start with a digit, a zero is returned.

#### Example

- StringToFloatExample

#### See also

- compareTo()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers